/**
 * OW2 Util
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: JDependsOn.java 4840 2009-03-26 12:59:59Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.ejbjar.impl.struct;

import java.util.List;

import org.ow2.util.ee.metadata.ejbjar.api.struct.IDependsOn;

/**
 * Implementation for DependsOn annotation.
 * @author Florent Benoit
 */
public class JDependsOn implements IDependsOn {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = 8579504135427694678L;

    /**
     * List of beans.
     */
    private List<String> beans = null;

    /**
     * Sets the list of the beans on which we depends.
     * @param beans list of beans
     */
    public void setBeans(final List<String> beans) {
        this.beans = beans;
    }

    /**
     * @return list of bean names.
     */
    public List<String> getBeans() {
        return beans;
    }
}
